#!/bin/sh

extension_dir="/usr/lib/php/modules"
php_d="/etc/php.d"

write_config()
{
	echo -n "Trying to register the ioncube loader... "

	php_version=`php -r '$v = explode(".",PHP_VERSION); echo "$v[0].$v[1]";' 2>/dev/null`
	if [ -z "$php_version" ]; then
		echo "Unable to detect the php version.. skipping"
		return
        fi

	ion_config="ioncube-loader.ini"

	rm -f $php_d/ioncube-loader* 2>/dev/null

	echo '; comment out next line to disable ionCobe Zend extension in php'   >  $php_d/$ion_config
	echo "zend_extension=$extension_dir/ioncube_loader_lin_${php_version}.so" >> $php_d/$ion_config

	echo "done"
}

write_config
